Package com.arms.api.util.dynamicscheduler.model

## Enum SchedulerType

- java.lang.Object
- - java.lang.Enum<SchedulerType>
  - - com.arms.api.util.dynamicscheduler.model.SchedulerType

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<SchedulerType>`

      public enum SchedulerType
      extends java.lang.Enum<SchedulerType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `INCREMENTAL_ISSUE_BULK_SAVE` |
    `INCREMENTAL_ISSUE_BULK_SAVE_WITH_DATE_RANGE` |
    `RECREATE_FAILED_ISSUE` |
    `REQUIREMENT_ISSUE_BULK_SAVE` |
    `SYNC_REQ_STATUS_FROM_ES` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getType()` |
    `static SchedulerType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static SchedulerType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### REQUIREMENT_ISSUE_BULK_SAVE

          public static final SchedulerType REQUIREMENT_ISSUE_BULK_SAVE

    - #### INCREMENTAL_ISSUE_BULK_SAVE

          public static final SchedulerType INCREMENTAL_ISSUE_BULK_SAVE

    - #### INCREMENTAL_ISSUE_BULK_SAVE_WITH_DATE_RANGE

          public static final SchedulerType INCREMENTAL_ISSUE_BULK_SAVE_WITH_DATE_RANGE

    - #### SYNC_REQ_STATUS_FROM_ES

          public static final SchedulerType SYNC_REQ_STATUS_FROM_ES

    - #### RECREATE_FAILED_ISSUE

          public static final SchedulerType RECREATE_FAILED_ISSUE

  - ### Method Detail

    - #### values

          public static SchedulerType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SchedulerType c : SchedulerType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SchedulerType valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getType

          public java.lang.String getType()